Update a merchant
curl --request PATCH \
--url https://api.quidkey.com/v1/merchants/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"brand_name": "<string>",
"website_url": "<string>",
"category_code": "<string>"
}
'import requests
url = "https://api.quidkey.com/v1/merchants/{id}"
payload = {
"brand_name": "<string>",
"website_url": "<string>",
"category_code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({brand_name: '<string>', website_url: '<string>', category_code: '<string>'})
};
fetch('https://api.quidkey.com/v1/merchants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quidkey.com/v1/merchants/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'brand_name' => '<string>',
'website_url' => '<string>',
'category_code' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quidkey.com/v1/merchants/{id}"
payload := strings.NewReader("{\n \"brand_name\": \"<string>\",\n \"website_url\": \"<string>\",\n \"category_code\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.quidkey.com/v1/merchants/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"brand_name\": \"<string>\",\n \"website_url\": \"<string>\",\n \"category_code\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quidkey.com/v1/merchants/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"brand_name\": \"<string>\",\n \"website_url\": \"<string>\",\n \"category_code\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"result": {
"_type": "merchant",
"_uri": "<string>",
"_view": "full",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"partner": {
"_type": "partner",
"id": "<string>"
},
"brand_name": "<string>",
"website_url": "<string>",
"category_code": "<string>",
"country": "<string>",
"status": "pending",
"home_currency": "<string>",
"is_multi_account_allowed": true,
"account_owners": {
"_link": "<string>",
"_type": "collection"
},
"onboarding": {
"_link": "<string>",
"_type": "onboarding",
"id": "<string>"
},
"legal_entities": {
"_link": "<string>",
"_type": "collection"
},
"payment_links": {
"_link": "<string>",
"_type": "collection"
},
"agreement_acceptances": {
"_link": "<string>",
"_type": "collection"
},
"bank_accounts": {
"_link": "<string>",
"_type": "collection"
},
"capabilities": {
"_link": "<string>",
"_type": "collection"
},
"webhook_endpoints": {
"_link": "<string>",
"_type": "collection"
},
"transactions": {
"_link": "<string>",
"_type": "collection"
},
"payouts": {
"_link": "<string>",
"_type": "collection"
}
},
"entities": {},
"not_included": [
{
"link": {
"_link": "<string>",
"_type": "<string>",
"id": "<string>"
},
"reason": "no_permission"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}Merchants
Update a merchant
Changes the fields sent. null is refused, because these fields can’t be cleared. country is set when the merchant is created, and can’t be changed. Safe to repeat.
Credentials: partner, merchant
Permission: merchants:update
Update a merchant
curl --request PATCH \
--url https://api.quidkey.com/v1/merchants/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"brand_name": "<string>",
"website_url": "<string>",
"category_code": "<string>"
}
'import requests
url = "https://api.quidkey.com/v1/merchants/{id}"
payload = {
"brand_name": "<string>",
"website_url": "<string>",
"category_code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({brand_name: '<string>', website_url: '<string>', category_code: '<string>'})
};
fetch('https://api.quidkey.com/v1/merchants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quidkey.com/v1/merchants/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'brand_name' => '<string>',
'website_url' => '<string>',
'category_code' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quidkey.com/v1/merchants/{id}"
payload := strings.NewReader("{\n \"brand_name\": \"<string>\",\n \"website_url\": \"<string>\",\n \"category_code\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.quidkey.com/v1/merchants/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"brand_name\": \"<string>\",\n \"website_url\": \"<string>\",\n \"category_code\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quidkey.com/v1/merchants/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"brand_name\": \"<string>\",\n \"website_url\": \"<string>\",\n \"category_code\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"result": {
"_type": "merchant",
"_uri": "<string>",
"_view": "full",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"partner": {
"_type": "partner",
"id": "<string>"
},
"brand_name": "<string>",
"website_url": "<string>",
"category_code": "<string>",
"country": "<string>",
"status": "pending",
"home_currency": "<string>",
"is_multi_account_allowed": true,
"account_owners": {
"_link": "<string>",
"_type": "collection"
},
"onboarding": {
"_link": "<string>",
"_type": "onboarding",
"id": "<string>"
},
"legal_entities": {
"_link": "<string>",
"_type": "collection"
},
"payment_links": {
"_link": "<string>",
"_type": "collection"
},
"agreement_acceptances": {
"_link": "<string>",
"_type": "collection"
},
"bank_accounts": {
"_link": "<string>",
"_type": "collection"
},
"capabilities": {
"_link": "<string>",
"_type": "collection"
},
"webhook_endpoints": {
"_link": "<string>",
"_type": "collection"
},
"transactions": {
"_link": "<string>",
"_type": "collection"
},
"payouts": {
"_link": "<string>",
"_type": "collection"
}
},
"entities": {},
"not_included": [
{
"link": {
"_link": "<string>",
"_type": "<string>",
"id": "<string>"
},
"reason": "no_permission"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}Authorizations
Body
application/json